Bug 862472 - Strongswan is compiled without essential plugins - interop with Windows or Android not possible
Strongswan is compiled without essential plugins - interop with Windows or An...
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: strongswan (Show other bugs)
el6
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Pavel Šimerda (pavlix)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-02 23:02 EDT by Haim Gelfenbeyn
Modified: 2014-01-26 11:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-26 11:37:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Spec patch to compile in missing plugins (1.87 KB, application/octet-stream)
2012-10-02 23:02 EDT, Haim Gelfenbeyn
no flags Details

  None (edit)
Description Haim Gelfenbeyn 2012-10-02 23:02:47 EDT
Created attachment 620603 [details]
Spec patch to compile in missing plugins

Description of problem:
Strongswan is configured without essential plugins, therefore Strongswan cannot act as a VPN server to either Windows 7 or Android Stronswan client. eap-mschapv2 support very important to have, in my opinion.

These plugins do not add any external dependencies, and should be included by default:
	--enable-md4
	--enable-eap-md5
	--enable-eap-gtc
	--enable-eap-tls
	--enable-eap-ttls
	--enable-eap-peap
	--enable-eap-mschapv2

md4 is needed by mschapv2, therefore it is included. I think farp and dhcp plugins are also useful, but they are less essential than eap-mschapv2 and other authentication plugins

Version-Release number of selected component (if applicable):
5.0

How reproducible:
Cannot authenticate using eap-mschapv2, eap-peap and others. 

Additional info:
I attached .spec file patch that adds support for these plugins.
Comment 1 Pavel Šimerda (pavlix) 2012-11-01 20:33:34 EDT
Thanks for your patch and sorry for not responding earlier. I will submit
a testing update soon.
Comment 2 Pavel Šimerda (pavlix) 2012-11-20 15:42:42 EST
I'm sorry I currently don't have much time and my current version of this package doesn't build for EPEL.

http://koji.fedoraproject.org/koji/packageinfo?packageID=13302

Will get back to it later.
Comment 3 Pavel Šimerda (pavlix) 2014-01-08 08:08:18 EST
Feel free to try 5.1.1-3:

http://koji.fedoraproject.org/koji/packageinfo?packageID=13302

Note You need to log in before you can comment on or make changes to this bug.